#!/usr/bin/env node

const program = require("commander");
const { vodUpload } = require("../lib/vodUpload");
const { davaoAuthCheck } = require("../lib/davaoAuth");
const { convert } = require('../lib/weixin/document')
// 定义当前版本
program.version(require("../package").version);

// 初始化项目
program
  .command("upload-vod")
  .description("upload video to aliyun vod")
  .alias("uv")
  .action(async path => {
    await davaoAuthCheck();
    vodUpload(path);
  });

program
  .command("convertWX")
  .description("convert weixin document to bmatch")
  .alias("wx")
  .action(async path => {
    await davaoAuthCheck();
    convert(path);
  });


program.parse(process.argv);

if (!program.args.length) {
  program.help();
}
