const process = require("process");
const inquirer = require("inquirer");
const fs = require("mz/fs");
const path = require('path');
const AUTH_FILE = ".davao-env.txt";

function getAUTHFile() {
  return path.join(process.env[(process.platform == 'win32') ? 'USERPROFILE' : 'HOME'], AUTH_FILE);
}

exports.davaoAuthCheck = async function() {
  let auth = process.env.DAVAO_AUTH;
  if (!auth) {
    let fileAuth;
    let authFilePath = getAUTHFile();

    if (await fs.exists(authFilePath)) {
      fileAuth = await fs.readFile(authFilePath, "utf8");
    }

    if (!fileAuth) {
      var questions = [
        {
          type: "input",
          name: "DAVAO_AUTH",
          message: "Please input your davao_auth"
        }
      ];
      let answers = await inquirer.prompt(questions);
      fileAuth = answers.DAVAO_AUTH;
      fs.writeFile(authFilePath, fileAuth);
    }
    process.env.DAVAO_AUTH = fileAuth;
  }
};

exports.clearAuth = async function() {
  console.log("clear auth file");
  await fs.unlink(getAUTHFile());
};
